it-swarm-eu.dev

Esiste una versione sicura di Joomla! 1.6 o 1.7 disponibili?

Esiste qualsiasi versione sicura del vecchio Joomla! 1.6.x o la serie 1.7.x disponibile?

7
JacquesR

La risposta breve e lunga è no. È necessario aggiornare un sito 1.6 o 1.7 ad almeno 2.5.x poiché si tratta della versione più sicura (sebbene 2.5 si avvicini rapidamente alla fine del ciclo di vita). Se disponi di un modello compatibile, potresti essere in grado di eseguire l'aggiornamento a 3.3.

7
Andrew Eddie

Qualsiasi sito Web Joomla e per estenderlo un po ', qualsiasi tipo di software, in particolare quelli open source e quelli che sono esposti pubblicamente, dovrebbe essere aggiornato, per garantire la massima sicurezza.

Le attuali versioni gestibili di Joomla sono Joomla 2.5 e Joomla 3.3. Joomla 1.6 e 1.7 erano versioni a breve termine e potremmo dire che erano come il percorso dalla versione 1.5 alla 2.5. Non dovevano rimanere a lungo, sono non mantenuti (= nessuna patch di sicurezza, nessuna correzione di bug, nessun supporto per le estensioni), quindi non possono più essere usati in produzione.

Gli aggiornamenti, a parte il fatto che possono aggiungere nuove funzionalità, affrontano vulnerabilità note e problemi di sicurezza. Tali vulnerabilità sono ben note al pubblico, pertanto una versione precedente del software può essere facilmente compromessa.

Un'altra condizione, dovremmo tenere a mente, è che le estensioni di terze parti non sono mantenute anche per tali versioni precedenti, dando ancora più spazio alle vulnerabilità e ad altre possibili incompatibilità con il software server.

Di solito, l'aggiornamento da 1.6, 1.7 a 2.5 e 3.3 è un compito facile. Tuttavia, tieni presente che ciò dipende dalle condizioni specifiche di ciascun sito Web, dalle estensioni di terze parti e dal possibile livello di personalizzazione e

Si consiglia vivamente di non tentare di aggiornare direttamente sul sito Web live e di mantenere sempre un backup funzionante del sito Web.

1
FFrewin